summaryrefslogtreecommitdiff
path: root/target/device/valka/target_skeleton/etc/rc.d/dropbear
diff options
context:
space:
mode:
authorJohn Voltz <john.voltz@gmail.com>2008-03-06 18:59:14 +0000
committerJohn Voltz <john.voltz@gmail.com>2008-03-06 18:59:14 +0000
commitceaf9e8217f29f6c499d03c62612b2eb50e8ed09 (patch)
treec0d1c53c52d050672de9c2fc656b760a2fbe5aa1 /target/device/valka/target_skeleton/etc/rc.d/dropbear
parentc46893b7af0e6f0bbc072dc76cb979995ff654fc (diff)
updates and additions for avr32 arch
Diffstat (limited to 'target/device/valka/target_skeleton/etc/rc.d/dropbear')
-rwxr-xr-xtarget/device/valka/target_skeleton/etc/rc.d/dropbear37
1 files changed, 37 insertions, 0 deletions
diff --git a/target/device/valka/target_skeleton/etc/rc.d/dropbear b/target/device/valka/target_skeleton/etc/rc.d/dropbear
new file mode 100755
index 000000000..0868b2acf
--- /dev/null
+++ b/target/device/valka/target_skeleton/etc/rc.d/dropbear
@@ -0,0 +1,37 @@
+#!/bin/sh
+. /etc/rc.subr
+
+start() {
+ if [ ! -d /etc/dropbear ]; then
+ if ! mkdir_fs /etc/dropbear; then
+ return 1
+ fi
+ fi
+
+ # Check for the Dropbear RSA key
+ if [ ! -f /etc/dropbear/dropbear_rsa_host_key ] ; then
+ echo -n " * Generating SSH RSA Key: "
+ ${dropbearkey_program} -t rsa -f /etc/dropbear/dropbear_rsa_host_key > /dev/null 2>&1
+ echo "Ok"
+ fi
+
+ # Check for the Dropbear DSS key
+ if [ ! -f /etc/dropbear/dropbear_dss_host_key ] ; then
+ echo -n " * Generating SSH DSS Key: "
+ ${dropbearkey_program} -t dss -f /etc/dropbear/dropbear_dss_host_key > /dev/null 2>&1
+ echo "Ok"
+ fi
+
+ echo -n " * Starting dropbear sshd: "
+ if ${dropbear_program} -P ${dropbear_pidfile} ${dropbear_flags}; then
+ echo "Ok"
+ else
+ echo "Failed"
+ fi
+}
+stop() {
+ echo " * Stopping dropbear sshd..."
+ killpid "${dropbear_pidfile}"
+}
+
+rc_run_command "$1" "dropbear"